
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Redhat linux及其Oracle JRE、IBM JRE的时间、时区及夏令时 / iVAN</title>

    <meta name="description" content="Redhat linux及其Oracle JRE、IBM JRE的时间、时区及夏令时 对于集群和分布式等大型系统来说,时间及其同步是个很重要的问题.经过对redhat linux及JRE(包括oracle JRE,IBM JRE)的研究,现总结如下. 1,时间的查看 通常的时间可分为local时间和UTC时间,local时间在linux下使用date查看: # date Wed Oct 31 17:38:06 BRST 2012 通常这个时间是指所在时区和包括了夏令时计算的时间值.所有使用linux时间的系统打印出的时间都是这个. UTC时间是指标准格林威治及零时区的时间,不包含">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Redhat linux及其Oracle JRE、IBM JRE的时间、时区及夏令时</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>对于集群和分布式等大型系统来说，时间及其同步是个很重要的问题。经过对redhat linux及JRE（包括oracle JRE，IBM JRE）的研究，现总结如下。</p>
<p>1，时间的查看</p>
<p>通常的时间可分为local时间和UTC时间，local时间在linux下使用date查看：</p>
<p># date</p>
<p>Wed Oct 31 17:38:06 BRST 2012</p>
<p>通常这个时间是指所在时区和包括了夏令时计算的时间值。所有使用linux时间的系统打印出的时间都是这个。</p>
<p>UTC时间是指标准格林威治及零时区的时间，不包含夏令时的计算。UTC时间查看方式是：</p>
<p># date -u</p>
<p>Wed Oct 31 19:38:12 UTC 2012</p>
<p>基本上：Local时间=UTC时间+时区时间差+夏令时时间差</p>
<p>还有硬件时间，及BIOS上存储的时间，查看方式：</p>
<p># hwclock</p>
<p>Wed 31 Oct 2012 05:38:16 PM BRST  -0.328544 seconds</p>
<p>为了查看JRE的时间，我们写了一个工具：</p>
<p># cat TestTimeZone.java</p>
<pre>
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;
public class TestTimeZone
{
                private static String DEFAULT_FORMAT = "yyyy-MM-dd HH:mm:ss.SSS (z)";
                private static SimpleDateFormat sdf = new SimpleDateFormat(DEFAULT_FORMAT);
                public static void main(String args[])
                {
                                Date dt = new Date();
                                System.out.println("Current time:\t"+ sdf.format(dt));
                                sdf.setTimeZone(TimeZone.getTimeZone("UTC"));
                                System.out.println("UTC time:\t"+ sdf.format(dt));
                                System.out.println("Env variable user.timezone:" + System.getProperty(""user.timezone"));
                }
}</pre>
<p>为了兼容低版本JRE，采用JDK1.4编译，运行：</p>
<p>#/usr/java/j2sdk1.4.2/bin/java TestTimeZone.java</p>
<p>#java TestTimeZone</p>
<p>Current time:   2012-10-31 15:57:47.014 (BRST)</p>
<p>UTC time:       2012-10-31 17:57:47.014 (UTC)</p>
<p>Env variable user.timezone   :America/Bahia</p>
<p>2,Linux时间及JRE的时间关系</p>
<p>先解释下相关配置文件：</p>
<p>/etc/localtime: linux 系统的时区文件，定义linux的时区和夏令时规则</p>
<p>/etc/sysconfig/clock: linux和JRE度要用到的文件，可能没有这个文件，文件内容如：</p>
<p>cat /etc/sysconfig/clock</p>
<p># The ZONE parameter is only evaluated by system-config-date.</p>
<p># The timezone of the system is defined by the contents of /etc/localtime.</p>
<p>ZONE="Asia/Shanghai"</p>
<p>UTC=true</p>
<p>ARC=false</p>
<p>ZONE是指时区，对JRE会起作用，对linux会被/etc/localtime中的定义覆盖</p>
<p>UTC是指硬件存储的是否为UTC时间，若为true，则硬件时间当做UTC时间，linux系统启动时会将此事件加上时区和夏令时的差额计算出local时间；若为false则硬件中的时间就是local时间，时区和夏令时规则失效。</p>
<p>当linux系统启动时，首先读取硬件时间，然后根据以上配置文件中的定义计算出时间。</p>
<p>但JRE的时间是独立处理的，JRE自己如linux样独立取得硬件时间，然后根据JRE的时区和夏令时规则计算出JRE的时间。JRE的时区确定规则为：首先确定是否有TZ系统变量（亦为user.timezone, 在启动java程序时亦可通过参数-Duser.timezone单独指定），若有则取TZ变量中的值，若无则取/etc/sysconfig/clock 中的ZONE值。</p>
<p>由上可知，更新时区和夏令时规则时需要同时更新linux和JRE的相关配置和规则的。Linux的夏令时规则在/usr/share/zoneinfo/下；Oracle JRE夏令时规则在：$JAVA_HOME/lib/zi;IBM JRE夏令时规则在$IBM_JAVA_HOME/lib/core.jar。</p>
<p>本文出自 “小何贝贝的技术空间” 博客，请务必保留此出处http://babyhe.blog.51cto.com/1104064/1045570</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索linux<br />
                    ，                jre<br />
                    ，                java脱离jre技术<br />
                    ，                时区<br />
                    ，                时间<br />
                    ，                规则<br />
                    ，                指定时区<br />
                                    夏令时<br />
                                    夏令时时区、各时区夏令时规则、哪些时区有夏令时、此时区未实行夏令时、java 夏令时时区处理，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 11:13:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%97%b6%e9%97%b4/" title="时间">时间</a>, <a href="https://www.iamivan.net/tag/%e6%97%b6%e5%8c%ba/" title="时区">时区</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/%e8%a7%84%e5%88%99/" title="规则">规则</a>, <a href="https://www.iamivan.net/tag/jre/" title="jre">jre</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e5%ae%9a%e6%97%b6%e5%8c%ba/" title="指定时区">指定时区</a>, <a href="https://www.iamivan.net/tag/java%e8%84%b1%e7%a6%bbjre%e6%8a%80%e6%9c%af/" title="java脱离jre技术">java脱离jre技术</a>, <a href="https://www.iamivan.net/tag/%e5%a4%8f%e4%bb%a4%e6%97%b6/" title="夏令时">夏令时</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Redhat linux及其Oracle JRE、IBM JRE的时间、时区及夏令时的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boBrEz.html" rel="bookmark">RedHat Linux下Oracle启动脚本的建立  dbstart oracle8&period;1&period;6</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|脚本 RedHat Linux下Oracle启动脚本的建立 2001-06-05 8:25发布者:Crystal 阅读次数:102 一.修改$ORACLE_HOME/bin/dbstart脚本 首先测试你的$ORACLE/bin/dbstart脚本,如果能正常启动Oracle,请跳到第二部分. 本人运行环境为RedHat7.1+Oracle8.1.6,发现dbstart脚本有问题,不能得到当前运行的Oracle的版本号.编辑dbstart,找到 STATUS=1 if [ &quot;$VE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKPogb.html" rel="bookmark">redhat linux安装oracle笔记（源自linux公社）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在linux下安装oracle是一件令人生畏的事情,其复杂程度远远超过安装linux操作系统本身.如果能够进行成功的安装oracle,那么同时也就顺便掌握了linux一些技术.本文介绍在redhat linux 下安装oracle 10g 的方法.在这里说明一下,Oracle 10g的g是grid 的缩写,意为网格,目前较为前沿的网络计算技术. Oracle 10g 对软硬件的要求都非常的高,所以要玩转的话的花不少银子.首先来看看它对硬件的要求:内存512兆(建议1G),cpu 主频2.0G以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPN24mb.html" rel="bookmark">RedHat Linux专题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RedHat-Bug 576246 - missingpower_meter release() function问 redhat如何安装配置samba实现win共享linux主机目录 掉盘造成的redhat系统只读问题 redhat系统yum源的配置问题 Redhat Enterprise Linux 6 Update 4在z/VM 6.2上的快速网络安装 RedHat 5.3配置YUM:从centos 5源与光盘源更新软件 Redhat Linux 5.3 PPTP VPN Server的安			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpn9EZM.html" rel="bookmark">Oracle 8&period;1&period;7 for RedHat Linux 7&period;2的安装过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle 8.1.7 for RedHat Linux 7.2的安装过程 1).确认你已安装了以下兼容包:rpm –ivh compat-libstdc++-6.2-2.9.0.16rpm –ivh compat-glibc-6.2-2.1.3.2rpm –ivh compat-egcs-c++-6.2-1.1.2.16rpm –ivh compat-libs-6.2-3rpm –ivh compat-egcs-6.2-1.1.2.16rpm –ivh compat-egcs-objc-6.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKey4p.html" rel="bookmark">redhat linux通过udev创建裸设备</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在redhat5中,raw文件的位置已经改变成/bin/raw,系统里面已经不存在/etc/sysconfig/rawdevices和/etc/init.d/rawdevices文件了,可以通过如下方法来管理raw文件. 1,建立/etc/sysconfig/rawdevices文件,然后从其他操作系统上拷贝/etc/init.d/rawdevices到本地机,修改 /etc/init.d/rawdevices文件中raw命令的具体位置,然后就可以通过/etc/init.d/rawdevices			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEl2Az.html" rel="bookmark">Redhat Linux安装JDK 1&period;7</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇主要介绍在Redhat Linux(Red Hat Enterprise Linux Server release 5.7 (Tikanga))系统上安装JDK 1.7,其它Linux平台安装也大同小异,可能略有差别. 步骤1:下载JDK 1.7 安装包 JDK 1.7 下载地址:http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html   在下载过程中,需要注意两点: 1:注意操作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKvYVb.html" rel="bookmark">Redhat linux DNS配置指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在oracle 11g的RAC中增加了SCAN IP,而使用 SCAN IP的一种方式就是使用DNS,这里介绍在Redhat Linux 5.4中DNS的详细配置操作 在配置DNS之前修改主机名 Redhat linux 5.4 DNS配置操作 在配置DNS之前修改主机名 [root@beiku1 etc]# hostname beiku1.sbyy.com [root@beiku1 etc]# vi /etc/hosts # Do not remove the following line,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boJlJDz.html" rel="bookmark">Redhat Linux AS 4下软件RAID配置实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				红帽创建于1993年,是目前世界上最资深的Linux和开放源代码提供商,同时也是最获认可的Linux品牌.基于开放源代码模式,我们为全球企业提供专业技术和服务.我们的解决方案包括红帽企业Linux操作平台,以及其他内容广泛的服务,如:咨询,24X7http://www.aliyun.com/zixun/aggregation/12867.html&quot;&gt;技术支持和红帽网络(RHN).我们以订阅的商业模式向用户提供不间断的产品和服务.红帽在全球60多个地点提供培训课程,其中的RHCE认证已经成为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M697VYb.html" rel="bookmark">linux安装oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目 录 一.硬件要求 二.软件 三.系统安装注意 四.安装Oracle前的系统准备工作 五.安装Oracle,并进行相关设置 六.升级Oracle到patchset 10.2.0.4 七.使用rlwrap调用sqlplus中历史命令 一.硬件要求 1.内存 &amp; swap Minimum: 1 GB of RAM Recommended: 2 GB of RAM or more 检查内存情况 # grep MemTotal /proc/meminfo # grep SwapTotal /proc/			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVAv4p.html" rel="bookmark" class="title">网站首页被百度降权的表现以及一些对策</a>
					<div>
						网站的首页应该是整个网站权重最高的页面.在站长朋友们进行百度SEO的过程中,很多人的网站的排名在非百度算法调整之时,会莫名其妙的下降.而此时,除了首页快照没更新之外,网站的收录还是多少有些的,并且外链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAWjez.html" rel="bookmark" class="title">根据Alexa信誉值预测PR值大小</a>
					<div>
						PR是什么:PR值全称为PageRank(网页级别),2001年9月被授予美国专利,专利人是Google创始人之一拉里·佩奇(Larry Page).因此,PageRank里的page不是指网页,而是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW157Ez.html" rel="bookmark" class="title">ASP&period;NET自定义控件组件开发 第三章 为控件添加事件 后篇</a>
					<div>
						前一篇文章只是简单的说了下事件,但是大家应该方法,在ASP.NET自定义控件中只是简单那么定义事 件是行不通.如果大家开发的是WinForm中的事件,之前的定义可能没有什么大的问题,只是在效率方法 欠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP498z.html" rel="bookmark" class="title">打开输入法时总是弹出小键盘怎么取消</a>
					<div>
						一台电脑使用Windows 98操作系统,最近在切换出输入法时总是同时弹出小键盘图案,并且不显示输入法状态栏,而以前切换输入法时是正常的, 分 析 可能是在输入法属性中禁用了关闭软键盘和显示输入法状态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EE1dM.html" rel="bookmark" class="title">如何应对win10升级助手流氓软件？win10升级助手常见问题汇总</a>
					<div>
						  腾讯借win10升级推流氓软件!win10升级助手不仅随着开机自动启动,并无图标,最关键的是系统进程里强制性的有两个关于腾讯的驱动,无法关闭!这种软件实在是没有任何作用,那么我们该如何解决呢? 当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNvB8M.html" rel="bookmark" class="title">8步Lightroom做出精美照片</a>
					<div>
						Lightroom是一款功能强大的图像编辑软件,它可以提供比简单地曝光和对比度更多的选项来处理一张照片.使用Lightroom,可以使一张平淡的照片焕然一新,并且使用Lightroom处理照片,要比使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b249DBp.html" rel="bookmark" class="title">怎样禁用Win7关机自检？</a>
					<div>
						  一般机Windows 7在执行关机操作时,系统总是会提示&quot;正在等待后台程序关闭&quot;的信息,此时往往需要等待数秒钟,才可以完成关机操作,虽然只有短短的几秒,但是很多人觉得这个提示很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZlGvz.html" rel="bookmark" class="title">接口问题。在线等。。。。。。。</a>
					<div>
						问题描述 接口问题.在线等....... 需求是要做一个HTTP请求与响应的接口.请给出操作原理与步骤.谢谢! 解决方案 最简单的,用任何一种web开发语言/技术实现. 比如asp里面request对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ88Vz.html" rel="bookmark" class="title">svn 错误集锦续</a>
					<div>
						4,svn出错:Error: File or directory '.' is out of date; try updating 出错原因:SVN服务器端的版本比你的版本要新,不允许提交. 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaw2az.html" rel="bookmark" class="title">html中iframe控制父页面刷新</a>
					<div>
						一.应用场景 父页面 a.jsp 子页面 b.jsp,作为a页面中嵌入的iframe指向的页面 &lt;body&gt; &lt;iframe id=&quot;frame&quot; src=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E5mKM.html" rel="bookmark" class="title">c&plus;&plus;-《C&plus;&plus; Primer》里面旁边没有标识的章节要如何对待？</a>
					<div>
						问题描述 &lt;C++ Primer&gt;里面旁边没有标识的章节要如何对待? 就是上面三个标识,有的章节旁边没有. 解决方案 这不是写得很明白了.第一个你没必要学,除非接触到这些.第二个特别提示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lBljb.html" rel="bookmark" class="title">存储在U盘中的文件被误删后怎么免费恢复</a>
					<div>
						U盘是一个非常好用的数据村存储工具,很多用户一也是非常喜爱使用U盘来存储文件的.可是U盘的容量毕竟是有限的,在U盘提示内存不足的时候我们必须要对U盘中的文件进行清理,如果我们不小心误删了U盘中重要的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPK58p.html" rel="bookmark" class="title">怎么实现像HOTMAIL或QQMAIL那样，上传附件的功能</a>
					<div>
						问题描述 就是点一下功能键,直接出来上传文件选择,然后点确认就自动上传了. 解决方案 解决方案二:隐藏表单及隐藏表单提交FRAME					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrgJGM.html" rel="bookmark" class="title">第30届IROS正式开幕，深度学习当道的机器人会议都有什么精彩亮点？（多图）</a>
					<div>
						2017年9月25日,全球机器人规模最大的学术会议之一.IROS(International Conference on Intelligent Robots and Systems,国际智能机器人与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Xv8b.html" rel="bookmark" class="title">未来几年IT产业技术发展的十大趋势</a>
					<div>
						云计算.大数据以及fabric数据中心趋势彻底改变了IT员工的工作方式,与此同时也为他们带来了某些新的挑战. Gartner的管理副总裁Dave Cappuccio在之前一段时间举办的IT Infra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE65OPM.html" rel="bookmark" class="title">聊聊Zookeeper-快速开始</a>
					<div>
						什么是Zookeeper Zookeeper是一个高性能的分布式应用协调服务的框架.Zookeeper=Zoo+keeper,中文直译是动物园的看守者. 为什么要使用Zookeeper Zookeep ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRO4Ob.html" rel="bookmark" class="title">Linux 上好用的 R 语言 IDE</a>
					<div>
						假如你做过一些统计工作,很可能你已经见识过 R 语言 了.假如你还没有,我真的非常推荐这门专为统计和数据挖掘而生的开源编程语言.若你拥有编程背景,它的语法可能会使你感到有些不适应,但希望它的向量化操  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmDmVb.html" rel="bookmark" class="title">企业实施网络营销时必须认清的几个观点</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在与客户进行业务洽谈的过程中,发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKgKVb.html" rel="bookmark" class="title">jqgrid单个cell的edittype和editoptions如何动态改变？</a>
					<div>
						问题描述 jqgrid单个cell的edittype和editoptions如何动态改变? 想要根据某一行的其中一列编辑状态选择的select值动态改变另一列的edittype和editoptions ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmD6QM.html" rel="bookmark" class="title">一个北京妞写给天下所有女人的信</a>
					<div>
						我认为最经典的话: 要是我的男人真的就没那本事,我就忍了,弄不好他有了本事,我就没了他呢.他没逼我长成曼玉嘉欣,我没理由逼他盖过李嘉诚.OK 不废话了.开始......    我在想,为什么女性朋友比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDWJez.html" rel="bookmark" class="title">12306对抢票插件做出屏蔽手段，手机客户端亦无法登陆</a>
					<div>
						前日,众多网民反映称,使用抢票插件或手机客户端登录12306网站购票时,遭遇验证码提交失败.无法登录账号等异常现象.随后,金山猎豹浏览器官方微博和奇虎360公司证实,12306官网对所有带有抢票插件的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22wYVb.html" rel="bookmark" class="title">【SSH项目实战】国税协同平台-1&period;项目介绍</a>
					<div>
						项目介绍 1.1项目背景 国税协同办公平台包括了行政管理.后勤服务.在线学习.纳税服务.我的空间等几个子系统:我们本次主要的开发功能是纳税服务子系统的部分模块和基于纳税服务子系统信息的个人工作台首页. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZk42p.html" rel="bookmark" class="title">小小光纤承载尖端技术 &OpenCurlyDoubleQuote;中国制造&rdquo;引领行业标准</a>
					<div>
						根据工信部官员日前透露的信息,中国迈进真正的&quot;全光网时代&quot;已到了最后的冲刺阶段.包括中国在内的全球市场对光纤光缆的需求量也正快速增长.光纤光缆行业的核心制造技术曾经由国外企业垄断, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn879Ab.html" rel="bookmark" class="title">link环境下，制作一款《订餐软件》，请问从大库中分离出单店的小库，拆分怎么实现？</a>
					<div>
						问题描述 link环境下,制作一款&lt;订餐软件&gt;,请问从大库中分离出单店的小库,拆分怎么实现? link环境下,制作一款&lt;订餐软件&gt;,请问从大库中分离出单店的小库,拆分怎么实现? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWRyRz.html" rel="bookmark" class="title">忘记MySQL的root密码该怎么办&lowbar;Mysql</a>
					<div>
						在MySQL日常开发或者是维护中,有一些问题或是故障往往是难以避免的,如丢失密码.表损坏.在此总结一下常忘记MySQL的root密码解决办法: 1.登录数据库所在服务器,手动kill掉Mysql进程  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYaLAb.html" rel="bookmark" class="title">Flash跨域调用WebService实现方法</a>
					<div>
						使用crossdomain.xml让Flash可以跨域传输数据 crossdomain.xml文件格式 crossdomain.xml的格式非常简单,其根节点为&lt;cross-domain-pol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm8dap.html" rel="bookmark" class="title">怎么在Panel上一次性高效绘制上百万个点的折线图</a>
					<div>
						问题描述 最近在做一个工具,要根据读取的数据绘制波形图.但数据量大的时候,比如一条数据上百万个点,怎么才能一次性绘制完呢.求大神 解决方案 解决方案二:人工置顶.人呢求解决					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWkjmM.html" rel="bookmark" class="title">12个优秀的云计算操作系统</a>
					<div>
						如果你还仅是认为云只是个被大肆炒作的概念,那么你可能OUT了,可能已经漠视了IT发展的前沿动向. 当然每个相关人士都在谈论云计算厂商的云产品和服务,云最终是要落地的,也就是说终端的革新也是云计算发展实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWvBWp.html" rel="bookmark" class="title">将增长进行到底 2009第四届站长年会将在京召开</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 2009第四届中国互联网站长年会将于5月17日在北京长城饭店召开,这也是康盛创想(Comsenz)和落伍者(im286.com)联合主办的成立八 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenqg7b.html" rel="bookmark" class="title">Oracle ASM 翻译系列第二十九弹：ASM INTERNAL Free Space Table</a>
					<div>
						Free Space Table 在进行创建文件或者文件resize过程中,需要有一个快捷入口,可以迅速的知道当前磁盘有哪些可用的(free状态的)AU,ASM Free Space Table 简称 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
